/*
 * Copyright (C) 1998-2004
 * Lehrstuhl fuer Technische Informatik, RWTH-Aachen, Germany
 * 
 * This file is part of the LTI-Computer Vision Library (LTI-Lib)
 *
 * The LTI-Lib is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License (LGPL)
 * as published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * The LTI-Lib is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public 
 * License along with the LTI-Lib; see the file LICENSE.  If
 * not, write to the Free Software Foundation, Inc., 59 Temple Place -
 * Suite 330, Boston, MA 02111-1307, USA.  
 */ 

#ifndef _LTI_DOCUMENTATION
#define _LTI_DOCUMENTATION

/** 

\mainpage LTI-Lib-2 

\section contents Contents

 - \ref intro
 - \ref license
 - \ref architecture
 - \ref classHierarchy
 - \ref examples
 - \ref howtonew
 - \ref compilers
 - \ref download
 - \ref links

\section intro Introduction

The LTI-Lib-2 encloses a collection of algorithms and data
structures commonly used in image processing and computer vision
applications.  It is written in C++ in order to allow efficient
programming techniques using an object-oriented approach.

Its main goal is to provide a system independent library, which
follows as much as possible the ANSI C++ standards.  It works on
different <a href="http://www.unix.org">Unix</a> platforms and on 
<a href="http://www.microsoft.com/windows">Microsoft's Windows</a>, but
it is specially maintained for <a href="http://www.linux.org">Linux</a> /
<a href="http://www.gnu.org/software/gcc/gcc.html">GCC</a> and 
<a href="http://www.microsoft.com/ntworkstation/default.asp">Windows NT</a> / 
<a href="http://www.microsoft.com/visualc">MS Visual C++</a>.

The LTI-Lib-2 was originated at the Chair of Technical Computer Science at the
<a href="http://www.rwth-aachen.de/go/id/bdz/">RWTH Aachen University</a>, but
now is been maintained by developers around the world.  It is the result of
several years of research in several difficult computer vision problems like
visual object recognition, vision for mobile service robots and gesture
recognition.

These pages give some introductory information about how to use the LTI-Lib-2.
The conditions of use for the LTI-Lib-2 are given in \ref license.  Some
important concepts necessary to understand the library are shown in \ref
architecture.  The section \ref classHierarchy presents a thematic organization
of many classes found in this library.  Using the links shown on the top of
this page you can browse the on-line programming reference.

Other useful information can be reached through the links in \ref contents
and in our <a href="../homepage/index.html">homepage</a>.

\section license License

Copyright (C) 1998-2004 by the Chair of Technical Computer Science,
RWTH-Aachen

Copyright (C) 2005-2009 by the respective authors.

The LTI-Lib-2 is free software; you can redistribute it and/or
modify it under the terms of the BSD License.

All rights reserved.
 
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice,
   this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice,
   this list of conditions and the following disclaimer in the documentation
   and/or other materials provided with the distribution.

3. Neither the name of the authors nor the names of its contributors may be
   used to endorse or promote products derived from this software without
   specific prior written permission.
  
   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
   AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
   ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
   LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
   CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
   SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
   INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
   CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
   ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
   POSSIBILITY OF SUCH DAMAGE.

<hr>

\section links Some important links

- <a href="http://sourceforge.net">SourceForge</a>. Open Source development
  website hosting the 
  <a href="http://sourceforge.net/projects/ltilib">LTI-Lib</a>.
- <A HREF="http://www.doxygen.org">Doxygen</A> Documentation tool used
  in the LTI-Lib.
- <A HREF="http://www.perl.org">PERL</A> Scripting language used in several
  tools of the LTI-Lib.
- <A HREF="http://www.gtk.org">GTK</A> (Gimp Toolkit) This widget library
  is used in several visualization objects of the LTI-Lib.

\section authors Authors

\subsection coordinators Coordinators

Pablo Alvarado (Linux),

\subsection students Programmers

Miguel Aguilar,
Suat Akyol,
Pedro Alpizar,
Pablo Alvarado,
Daniel Beier,
Axel Berner,
Florian Bley,
Ulrich Canzler,
Peter Doerfler,
Thomas Erger,
Helmuth Euler,
Holger Fillbrandt,
Dorothee Finck,
Ronald García,
Birgit Gehrke
Peter Gerber,
Claudia Goenner,
Xin Gu,
Michael Haehnel,
Arnd Hannemann,
Christian Harte,
Bastian Ibach,
Torsten Kaemper,
Thomas Krueger,
Frederik Lange,
Henning Luepschen,
Peter Mathes,
Alexandros Matsikis,
Ralf Miunske,
Bernd Mussmann,
Jens Paustenbach,
Norman Pfeil,
Vlad Popovici,
Gustavo Quirós,
Markus Radermacher,
Jens Rietzschel,
Daniel Ruijters,
Thomas Rusert,
Volker Schmirgel,
Stefan Syberichs,
Guy Wafo Moudhe,
Ruediger Weiler,
Jochen Wickel ,
Benjamin Winkler,
Xinghan Yu,
Marius Wolf,
Joerg Zieren

\date 1999-2010

*/

#endif

