/*
 * Copyright (C) 1998-2006
 * Lehrstuhl fuer Technische Informatik, RWTH-Aachen, Germany
 * 
 * This file is part of the LTI-Computer Vision Library (LTI-Lib)
 *
 * The LTI-Lib is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License (LGPL)
 * as published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * The LTI-Lib is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public 
 * License along with the LTI-Lib; see the file LICENSE.  If
 * not, write to the Free Software Foundation, Inc., 59 Temple Place -
 * Suite 330, Boston, MA 02111-1307, USA.  
 */ 

#ifndef _LTI_DOWNLOAD
#define _LTI_DOWNLOAD

/** 

\page download Downloading the LTI-Lib-2.

Following sections describe how to download.

\section downcontents Contents

- \ref cvs
- \ref xtrnlibs
- \ref docs

\section cvs CVS

To get the newest version of the LTI-Lib-2 you will need CVS.  On
UNIX/LINUX this software is usually already installed.  A version
for Windows can be found <A HREF="http://www.wincvs.org">here</A>.

You can use the SourceForge repository as described 
<a href="http://sourceforge.net/cvs/?group_id=45767">here</a>, using as 
module name <code>ltilib-2</code>.

\subsection chglogtokens Special commit tokens for Change-Log files

Change-Log files are periodically generated.  They contain \e important
changes that have occurred in a specified amount of time and everyone
should know about them.  The development of the library involves
mostly "normal" changes, like small bug fixes, documentation additions
and corrections, or small not-very-important interface changes, which
are not worth to mention about.  To generate a consistent Change-Log
file for a big library like the LTI-Lib can become tedious and
difficult.  Hence we introduce the use of some special tokens within the
commit log message, that will exclusively identify the logs to be considered for the Change-Log file.

If you make a big change or addition to the library of one of its
files or classes, use one of the following 4 character tokens to
indicate you want the given log included in the next Change-Log file:

- \@ADD new feature, file or class added
- \@DEL new feature, file or class removed
- \@MOV file moved to another place or renamed
- \@FIX bug fixed with detailed explanation of the bug itself and the fix.
- \@DEP deprecated feature, file or class method with alternative solution
- \@API change in the Application Programmers' Interface (API)
- \@CHG major change in the functionality, or implementation, that everyone
        must know about it.

\section xtrnlibs External Libraries

The LTI-Lib-2 requires to show its full power some external libraries.
The visualization classes use some GUI widgets and to keep them
portable a GPL-licenced widget library was chosen: <A
HREF="http://www.gtk.org">GTK+</A>.  For Linux, these libraries are
usually included in all major distributions.  For MS Windows, this can
be a little bit more complicated.


Download the Windows version from that page, unpack it into the folder
<code>ltilib\\win</code>.  All Perl scripts that build MS Visual C++
project files, assume that you have GTK+ installed in these directories.

\section docs Documentation

The programming style guide can be obtained in
<a href="../styleguide/de/UsersGuide2.ps.gz">German</a> or in 
<a href="../styleguide/en/DevelopersGuide.pdf">English</a>.  
The English version is updated more frequently.

You can get the most recent HTML documentation API, generated with
Doxygen as <a href="../html/ltilibdoc.tar.bz2">tar.bz2</a> or <a
href="../html/ltilibdoc.tar.gz">tar.gz</a>.  The additional index
files required to generate Compressed HTML (*.chm files) can be found within
these files.

*/

#endif

