/*
 * Copyright (C) 1998-2006
 * Lehrstuhl fuer Technische Informatik, RWTH-Aachen, Germany
 * 
 * This file is part of the LTI-Computer Vision Library (LTI-Lib)
 *
 * The LTI-Lib is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License (LGPL)
 * as published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * The LTI-Lib is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public 
 * License along with the LTI-Lib; see the file LICENSE.  If
 * not, write to the Free Software Foundation, Inc., 59 Temple Place -
 * Suite 330, Boston, MA 02111-1307, USA.  
 */ 

#ifndef _LTI_NAMING
#define _LTI_NAMING

/** 

\page naming Naming Conventions in the LTI-Lib.

<table>
<tr><td><b>C++ Item</b></td>          <td><b>Name convention</b></td></tr>
<tr><td>class, struct, union</td>     <td>theClassName</td></tr>
<tr><td>inner&nbsp;type</td>          <td>inner<b>_</b>type</td></tr>
<tr><td>public&nbsp;attribute</td>    <td>publicAttribute</td></tr>
<tr><td>protected&nbsp;attribute</td> <td>protectedAttribute<b>_</b></td></tr>
<tr><td>private&nbsp;attribute</td>   <td>privateAttribute<b>_</b></td></tr>
<tr><td>class&nbsp;method</td>        <td>classMethod()</td></tr>
<tr><td>public method<br>
        to access inner attributes</td><td><b>get</b>ClassAttribute()<br>
                                                classAttribute()</td></tr>
<tr><td>public method<br>
        for complex computations</td> <td><b>seek</b>Something()<br>
                                          <b>search</b>Something()<br>
                                          <b>find</b>Something()<br>
                                          <b>compute</b>Something()<br>
                                          <b>generate</b>Something()<br>
                                          <b>calculate</b>Something()</td></tr>
<tr><td>enum</td>                     <td><b>e</b>EnumType</td></tr>
<tr><td>constant in enum</td>         <td><b>C</b>onstantInEnum</td></tr>
<tr><td>macro name</td>               <td><b>_LTI_</b>MACRO_NAME</td></tr>
</table>

*/

#endif

